## tdeaddons-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdeaddons )
set( VERSION R14.0.4 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all sane optional stuff" OFF )
option( WITH_ARTS        "Enable aRts support" ${WITH_ALL_OPTIONS} )
option( WITH_SDL         "Enable SDL support" ${WITH_ALL_OPTIONS} )
option( WITH_BERKELEY_DB "Enable Berkeley DB support" ${WITH_ALL_OPTIONS} )
option( WITH_XMMS        "Enable xmms support" OFF )
option( WITH_TEST        "Build tests" OFF )


##### options comments ##########################

# WITH_XMMS        affects     kicker-applets
# WITH_XMMS        description enables kicker multimedia-control applet to interact
#                              with xmms
# WITH_ARTS        affects     konq-plugins/sidebar/mediaplayer, noatun plugins
# WITH_SDL         affects     noatun plugins
# WITH_BERKELEY_DB affects     noatun plugins
# WITH_TEST        affects     konq-plugins/fsview

# NOTE: WITH_XMMS supports only obsolte xmms version 1

##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )

option( BUILD_ATLANTIKDESIGNER     "Build atlantikdesigner" ${BUILD_ALL} ) # need tdegames
option( BUILD_DOC                  "Build documentation" ${BUILD_ALL} )
option( BUILD_KADDRESSBOOK_PLUGINS "Build kaddressbook plugins" ${BUILD_ALL} ) # requires tdepim
option( BUILD_KATE_PLUGINS         "Build kate plugins" ${BUILD_ALL} )
option( BUILD_KICKER_APPLETS       "Build kicker applets" ${BUILD_ALL} )
option( BUILD_KNEWSTICKER_SCRIPTS  "Install additional knewsticker scripts" ${BUILD_ALL} )
option( BUILD_KONQ_PLUGINS         "Build konqueror plugins" ${BUILD_ALL} )
option( BUILD_KSIG                 "Build kde email signature manager" ${BUILD_ALL} )
option( BUILD_NOATUN_PLUGINS       "Build noatun plugins" ${BUILD_ALL} ) # need tdemultimedia
option( BUILD_RENAMEDLG_PLUGINS    "Build KRenameDlg plugins" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS      "Build additional tdefileplugins" ${BUILD_ALL} )
option( BUILD_TUTORIALS            "Build tutorial help handbooks" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )

if( WITH_TEST )
  enable_testing()
endif( WITH_TEST )

##### tdeaddons directories #####################

tde_conditional_add_subdirectory( BUILD_ATLANTIKDESIGNER     atlantikdesigner )
tde_conditional_add_subdirectory( BUILD_DOC                  doc )
tde_conditional_add_subdirectory( BUILD_KADDRESSBOOK_PLUGINS kaddressbook-plugins )
tde_conditional_add_subdirectory( BUILD_KATE_PLUGINS         kate )
tde_conditional_add_subdirectory( BUILD_KICKER_APPLETS       kicker-applets )
tde_conditional_add_subdirectory( BUILD_KNEWSTICKER_SCRIPTS  knewsticker-scripts )
tde_conditional_add_subdirectory( BUILD_KONQ_PLUGINS         konq-plugins )
tde_conditional_add_subdirectory( BUILD_KSIG                 ksig )
tde_conditional_add_subdirectory( BUILD_NOATUN_PLUGINS       noatun-plugins )
tde_conditional_add_subdirectory( BUILD_RENAMEDLG_PLUGINS    renamedlgplugins)
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS      tdefile-plugins)
tde_conditional_add_subdirectory( BUILD_TUTORIALS            tutorials)

##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tdeaddons-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:59:07 +0200

tdeaddons-trinity (4:3.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdeaddons-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Fixed conflict with konqueror-plugin-imagerotation and konqueror-plugin-fsview

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 26 Apr 2009 13:57:00 -0600

tdeaddons-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 14:24:00 -0600

tdeaddons-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * Import from SVN

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 29 Nov 2008 12:30:00 -0600

tdeaddons (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Freshen kubuntu_06_dirfilter_plugin_fix.diff
    - Bump required build-dep version for tdelibs4-dev, atlantik-dev,
      tdebase-dev, tdemultimedia-dev, libtdegames-dev, libkonq4-dev, and
      tdepim-dev to 3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:31:29 -0400

tdeaddons (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:05 +0000

tdeaddons (4:3.5.8-1ubuntu5) hardy; urgency=low

  * Fix build failures with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:18:22 +0000

tdeaddons (4:3.5.8-1ubuntu4) hardy; urgency=low

  * Rebuild for botched shlibs, so kaddressbook-plugins is installable.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 28 Nov 2007 22:53:21 +1100

tdeaddons (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Downgrade tdepim dependency to 3.5.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 11:09:08 +0000

tdeaddons (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 11:00:37 +0000

tdeaddons (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes in debian/KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:47 +0000

tdeaddons (4:3.5.8-1) unstable; urgency=low

  * New upstream release. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 14 Oct 2007 22:55:30 +0200

tdeaddons (4:3.5.7-3) unstable; urgency=low
  
  * Implement uploaders.mk - and update control file based on it.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update section in Debian menu files.
  * Switch to db4.6. (Closes: #442658)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Apr 2007 13:16:00 +0100

tdeaddons (4:3.5.7-2) unstable; urgency=low

  * Add new documentation for ksig and some forgotten .hidden files to
    konq-plugins.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 May 2007 20:37:51 +0100

tdeaddons (4:3.5.8-0ubuntu2) gutsy; urgency=low

  * Added kubuntu_06_dirfilter_plugin_fix.diff, fixed kbuildsyscoca
    output reguarding to dirfilterplugin.desktop

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 15 Oct 2007 11:54:28 +0200

tdeaddons (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:27 +0100

tdeaddons (4:3.5.7-1ubuntu5) gutsy; urgency=low

  * Fixed fsview.desktop patch again, uses Hidden instead of NoDisplay
    to also hide fsview from konqueror's context menu

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 30 Jun 2007 13:07:37 +0200

tdeaddons (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * Renamed kubuntu_05_hide_fsview.desktop to
    kubuntu_05_hide_fsview.diff for the patch to apply

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 30 Jun 2007 02:53:47 +0200

tdeaddons (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Hide fsview from menu with patch kubuntu_05_hide_fsview.desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2007 18:45:56 +0100

tdeaddons (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Add missing .desktop files to konq-plugins.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 19:32:32 +0100

tdeaddons (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream version
  * Build-dep on libdb4.4++-dev not libdb4.3++-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 17:35:16 +0100

tdeaddons (4:3.5.7-1) unstable; urgency=low

  * New upstream release. (Closes: #417271) 
  * Remove patch 10_tdeaddons-r626814.diff, merged upstream.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 May 2007 17:04:12 +0200

tdeaddons (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:56 +0100

tdeaddons (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Apr 2007 13:16:00 +0100

tdeaddons (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
  * Make tdeaddons-dbg depend on tdelibs-dbg to get useful backtraces when
    debugging. 
  * Update Uploaders.
  * Add patch 10_tdeaddons-r626814.diff to fix a minor but annoying privacy
    issue.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Jan 2007 01:02:53 +0100

tdeaddons (4:3.5.6-0ubuntu2) feisty; urgency=low

  * Add kubuntu_04_webarchiver.diff for correct names on war archives.
    Patch from Shriramana Sharma
    Closes Malone #60090 and kde bug #129086

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Feb 2007 11:26:02 +0100

tdeaddons (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Remove kubuntu_03_ark.diff, applied upstream


=== debian/control ===
Source: tdeaddons-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdeaddons-trinity
Architecture: all
Section: tde
Replaces: kdeaddons-kde3 (<< 4:14.0.0~), kdeaddons-trinity (<< 4:14.0.0~)
Breaks: kdeaddons-kde3 (<< 4:14.0.0~), kdeaddons-trinity (<< 4:14.0.0~)
Depends: atlantikdesigner-trinity (>= ${Source-Version}), kaddressbook-plugins-trinity (>= ${Source-Version}), kate-plugins-trinity (>= ${Source-Version}), tdeaddons-tdefile-plugins-trinity (>= ${Source-Version}), kicker-applets-trinity (>= ${Source-Version}), konq-plugins-trinity (>= ${Source-Version}), ksig-trinity (>= ${Source-Version}), noatun-plugins-trinity (>= ${Source-Version})
Suggests: tdeaddons-trinity-doc-html
Description: add-on plugins and applets provided with Trinity
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of add-on plugins and applets
 provided with the official release of Trinity.

Package: tdeaddons-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdeaddons-kde3-doc-html (<< 4:14.0.0~), kdeaddons-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdeaddons-kde3-doc-html (<< 4:14.0.0~), kdeaddons-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdeaddons-trinity
Description: TDE add-ons documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE addons documentation
 converted to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kicker-applets/. Documentation is provided for
 most TDE addons packages.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: atlantikdesigner-trinity
Architecture: any
Section: games
Replaces: atlantikdesigner-kde3 (<< 4:14.0.0~), atlantikdesigner-trinity (<< 4:14.0.0~)
Breaks: atlantikdesigner-kde3 (<< 4:14.0.0~), atlantikdesigner-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: atlantik-trinity
Description: game board designer for Atlantik
 Atlantik Designer is a game board designer for the game Atlantik.
 .
 Atlantik is a TDE client for playing Monopoly-like board games on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game as well as the Atlantik
 game in which the properties include several major cities in North
 America and Europe.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: kaddressbook-plugins-trinity
Architecture: any
Section: tde
Replaces: kaddressbook-plugins-kde3 (<< 4:14.0.0~), kaddressbook-plugins-trinity (<< 4:14.0.0~)
Breaks: kaddressbook-plugins-kde3 (<< 4:14.0.0~), kaddressbook-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kworldclock-trinity, khelpcenter-trinity, tdeaddons-trinity-doc-html
Enhances: kaddressbook-trinity
Description: plugins for KAddressBook, the Trinity address book
 This package contains a variety of useful plugins for the TDE address
 book.  These plugins can be loaded through the TDE address book settings.
 .
 Highlights include exporting postal addresses as flags in KWorldClock,
 as well as importing and exporting contacts in the native format used
 by the German freemail provider GMX.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: kate-plugins-trinity
Architecture: any
Section: editors
Replaces: kate-plugins-kde3 (<< 4:14.0.0~), kate-plugins-trinity (<< 4:14.0.0~)
Breaks: kate-plugins-kde3 (<< 4:14.0.0~), kate-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tidy
Suggests: khelpcenter-trinity, tdeaddons-trinity-doc-html, kaddressbook-trinity
Enhances: kate-trinity
Description: plugins for Kate, the TDE Advanced Text Editor
 This package contains a variety of useful plugins for Kate, the TDE
 Advanced Text Editor.  These plugins can be loaded through the plugin
 manager in Kate settings.
 .
 Highlights include spell checking, text filtering, HTML/XML construction
 and validation, vim/emacs modeline handling, templates for new files
 and text snippets, opening of C/C++ headers, extraction of C/C++ symbols,
 a tab bar, a Python browser and even more.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: tdeaddons-tdefile-plugins-trinity
Architecture: any
Section: tde
Replaces: kdeaddons-kfile-plugins-kde3 (<< 4:14.0.0~), kdeaddons-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdeaddons-kfile-plugins-kde3 (<< 4:14.0.0~), kdeaddons-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Provides: renamedlg-plugins-trinity
Description: Trinity file dialog plugins for text files and folders
 This is a collection of plugins for the TDE file dialog.  These plugins
 extend the file dialog to offer advanced meta-information for text,
 HTML and desktop files, as well as for folders, Windows .lnk files,
 MIME archives and X.509 certificates.
 .
 This package also includes plugins for the TDE file rename dialog,
 allowing a user to more easily decide what to do when faced with a
 decision regarding conflicting filenames.  Rename dialog plugins are
 provided for audio and image files.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: kicker-applets-trinity
Architecture: any
Section: tde
Replaces: kicker-applets-kde3 (<< 4:14.0.0~), kicker-applets-trinity (<< 4:14.0.0~)
Breaks: kicker-applets-kde3 (<< 4:14.0.0~), kicker-applets-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: xmms-kde-trinity, khelpcenter-trinity, tdeaddons-trinity-doc-html
Provides: ktimemon-trinity
Enhances: kicker-trinity
Description: applets for Kicker, the Trinity panel
 This package contains a variety of applets for Kicker, the TDE panel.
 These applets will appear in the panel's Add--Applet menu.
 .
 Included are a system monitor, a colour picker, a media player controller,
 a mathematical evaluator and a binary clock.
 .
 The media control applet does not support XMMS, as this would force all
 kicker-applets users to install XMMS. If you want a kicker applet that
 controls XMMS, install the xmms-kde-trinity package.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: knewsticker-scripts-trinity
Architecture: all
Section: tde
Replaces: knewsticker-scripts-kde3 (<< 4:14.0.0~), knewsticker-scripts-trinity (<< 4:14.0.0~)
Breaks: knewsticker-scripts-kde3 (<< 4:14.0.0~), knewsticker-scripts-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, python, libfinance-quote-perl, libmime-perl, libnews-nntpclient-perl, libwww-perl
Recommends: knewsticker-trinity
Enhances: knewsticker-trinity
Description: scripts for KNewsTicker, the Trinity news ticker
 This package contains a variety of scripts that provide additional news
 sources for KNewsTicker, the news ticker applet for the TDE panel.  See
 /opt/trinity/share/doc/knewsticker-scripts/README.Debian for usage details.
 .
 Highlights include newsgroup handling, stock data retrieval, sports scores
 and various local news sources.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: konq-plugins-trinity
Architecture: any
Section: tde
Replaces: konq-plugins-kde3 (<< 4:14.0.0~), konq-plugins-trinity (<< 4:14.0.0~)
Breaks: konq-plugins-kde3 (<< 4:14.0.0~), konq-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libjpeg-progs, python, rsync, unison
Recommends: akregator-trinity, ark-trinity, imagemagick
Suggests: khelpcenter-trinity, tdeaddons-trinity-doc-html
Enhances: konqueror-trinity, akregator-trinity
Provides: akregator-konq-plugin-trinity
Description: plugins for Konqueror, the Trinity file/web/doc browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for TDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Highlights for web browsing include web page translation, web page archiving,
 auto-refreshing, HTML and CSS structural analysis, a search toolbar, a
 sidebar news ticker, fast access to common options, bookmarklets, a crash
 monitor, a microformat availability indicator, a del.icio.us bookmarks
 sidebar, and integration with the aKregator RSS feed reader.
 .
 Highlights for directory browsing include directory filters, image gallery
 creation, archive compression and extraction, quick copy/move, a sidebar
 media player, a file information metabar/sidebar, a media folder helper, a
 graphical disk usage viewer and image conversions and transformations.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: ksig-trinity
Architecture: any
Section: tde
Replaces: ksig-kde3 (<< 4:14.0.0~), ksig-trinity (<< 4:14.0.0~)
Breaks: ksig-kde3 (<< 4:14.0.0~), ksig-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kmail-trinity
Enhances: kmail-trinity
Description: graphical tool for managing multiple email signatures
 KSig is a graphical tool for keeping track of many different email
 signatures.  The signatures themselves can be edited through KSig's
 graphical user interface.  A command-line interface is then available
 for generating random or daily signatures from this list.
 .
 The command-line interface makes a suitable plugin for generating
 signatures in external mail clients such as KMail.  See
 /opt/trinity/share/doc/ksig/README.Debian for details on how this can be done.
 .
 This package is part of Trinity, as a component of the TDE addons module.
 See the 'tde-trinity' and 'tdeaddons-trinity' packages for more information.

Package: noatun-plugins-trinity
Architecture: any
Section: sound
Replaces: noatun-plugins-kde3 (<< 4:14.0.0~), noatun-plugins-trinity (<< 4:14.0.0~)
Breaks: noatun-plugins-kde3 (<< 4:14.0.0~), noatun-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: noatun-trinity
Description: plugins for Noatun, the Trinity media player
 This package contains a variety of useful plugins for Noatun, the audio and
 video media player for TDE.  These plugins can be loaded through the plugin
 manager in Noatun settings.
 .
 Highlights include an alarm clock, guessing tags from filenames, adjustable
 playback speed, capture to wave file and displaying lyrics, plus a variety

## tdeaddons-trinity 14.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##### general package setup #####################
 
 project( tdeaddons )
-set( VERSION R14.0.4 )
+set( VERSION R14.0.5 )
 
 
 ##### include essential cmake modules ###########

=== debian/changelog ===
tdeaddons-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:17:43 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: tde
 Replaces: kdeaddons-kde3 (<< 4:14.0.0~), kdeaddons-trinity (<< 4:14.0.0~)
 Breaks: kdeaddons-kde3 (<< 4:14.0.0~), kdeaddons-trinity (<< 4:14.0.0~)
-Depends: atlantikdesigner-trinity (>= ${Source-Version}), kaddressbook-plugins-trinity (>= ${Source-Version}), kate-plugins-trinity (>= ${Source-Version}), tdeaddons-tdefile-plugins-trinity (>= ${Source-Version}), kicker-applets-trinity (>= ${Source-Version}), konq-plugins-trinity (>= ${Source-Version}), ksig-trinity (>= ${Source-Version}), noatun-plugins-trinity (>= ${Source-Version})
+Depends: atlantikdesigner-trinity (>= ${source:Version}), kaddressbook-plugins-trinity (>= ${source:Version}), kate-plugins-trinity (>= ${source:Version}), tdeaddons-tdefile-plugins-trinity (>= ${source:Version}), kicker-applets-trinity (>= ${source:Version}), konq-plugins-trinity (>= ${source:Version}), ksig-trinity (>= ${source:Version}), noatun-plugins-trinity (>= ${source:Version})
 Suggests: tdeaddons-trinity-doc-html
 Description: add-on plugins and applets provided with Trinity
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -130,6 +130,7 @@
 Breaks: kicker-applets-kde3 (<< 4:14.0.0~), kicker-applets-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: xmms-kde-trinity, khelpcenter-trinity, tdeaddons-trinity-doc-html
+Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
 Provides: ktimemon-trinity
 Enhances: kicker-trinity
 Description: applets for Kicker, the Trinity panel
@@ -151,7 +152,7 @@
 Section: tde
 Replaces: knewsticker-scripts-kde3 (<< 4:14.0.0~), knewsticker-scripts-trinity (<< 4:14.0.0~)
 Breaks: knewsticker-scripts-kde3 (<< 4:14.0.0~), knewsticker-scripts-trinity (<< 4:14.0.0~)
-Depends: ${perl:Depends}, python, libfinance-quote-perl, libmime-perl, libnews-nntpclient-perl, libwww-perl
+Depends: ${perl:Depends}, python, libfinance-quote-perl, libmime-tools-perl, libnews-nntpclient-perl, libwww-perl
 Recommends: knewsticker-trinity
 Enhances: knewsticker-trinity
 Description: scripts for KNewsTicker, the Trinity news ticker
@@ -170,7 +171,7 @@
 Section: tde
 Replaces: konq-plugins-kde3 (<< 4:14.0.0~), konq-plugins-trinity (<< 4:14.0.0~)
 Breaks: konq-plugins-kde3 (<< 4:14.0.0~), konq-plugins-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, libjpeg-progs, python, rsync, unison
+Depends: ${shlibs:Depends}, libjpeg-turbo-progs | libjpeg-progs, python, rsync, unison
 Recommends: akregator-trinity, ark-trinity, imagemagick
 Suggests: khelpcenter-trinity, tdeaddons-trinity-doc-html
 Enhances: konqueror-trinity, akregator-trinity
@@ -227,5 +228,3 @@
  video media player for TDE.  These plugins can be loaded through the plugin
  manager in Noatun settings.
  .
- Highlights include an alarm clock, guessing tags from filenames, adjustable
- playback speed, capture to wave file and displaying lyrics, plus a variety

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --without-xmms --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --mandir=/opt/trinity/share/man

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_STRIP_ARGS := --dbg-package=tdeaddons-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DOC_HTML_PRUNE := konq-plugins-trinity/smbmounter

binary-install/konq-plugins-trinity::
	mkdir -p debian/konq-plugins-trinity/opt/trinity/share/
#	mv -f debian/konq-plugins-trinity/opt/trinity/share/man debian/konq-plugins-trinity/opt/trinity/share/
#	rm -rf debian/konq-plugins-trinity/opt/trinity/share/man
#	mv -f debian/konq-plugins-trinity/opt/trinity/share/man/py/man1/exif.1 \
#		debian/konq-plugins-trinity/opt/trinity/share/man/man1/exif.py.1; \
#	mv -f debian/konq-plugins-trinity/opt/trinity/share/man/py/man1/orient.1 \
#		debian/konq-plugins-trinity/opt/trinity/share/man/man1/orient.py.1; \
#	rm -rf debian/konq-plugins-trinity/opt/trinity/share/man/py;

binary-install/tdeaddons-tdefile-plugins-trinity::
	install -p -D -m644 renamedlgplugins/README \
		debian/tdeaddons-tdefile-plugins-trinity/opt/trinity/share/doc/tdeaddons-tdefile-plugins/README.renamedlgplugins

binary-install/knewsticker-scripts-trinity::
	chmod 755 debian/knewsticker-scripts-trinity/opt/trinity/share/apps/knewsticker/scripts/*.pl
	chmod 755 debian/knewsticker-scripts-trinity/opt/trinity/share/apps/knewsticker/scripts/*.py

binary-install/kate-plugins-trinity::
	chmod 755 debian/kate-plugins-trinity/opt/trinity/share/apps/kate/scripts/html-tidy.sh

install/konq-plugins-trinity::
	rm -f debian/tmp/opt/trinity/share/apps/konqueror/servicemenus/media_realfolder.desktop

## tdeaddons-trinity 14.0.6

=== debian/changelog ===
tdeaddons-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdeaddons-trinity

## tdeaddons-trinity 14.0.8

=== ksig/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksig (executable) #########################

tde_add_executable( ksig AUTOMOC
  SOURCES siggenerator.cpp siglistview.cpp siglistviewitem.cpp ksig.cpp
    standardtextbase.ui standardtext.cpp main.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( )


##### other data ################################

install( FILES ksigui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ksig
)

install( FILES ksig.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== kate/insertcommand/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kateinsertcommandplugin (kpart) ###########

tde_add_kpart( kateinsertcommandplugin AUTOMOC
  SOURCES plugin_kateinsertcommand.cpp
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/kateinsertcommand
)

install( FILES kateinsertcommand.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kate/xmltools/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katexmltoolsplugin (kpart) ################

tde_add_kpart( katexmltoolsplugin AUTOMOC
  SOURCES pseudo_dtd.cpp plugin_katexmltools.cpp
  LINK kateinterfaces-shared katepartinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katexmltools
)

install( FILES html4-loose.dtd.xml html4-strict.dtd.xml kde-docbook.dtd.xml
  simplify_dtd.xsl xhtml1-frameset.dtd.xml xhtml1-strict.dtd.xml
  xhtml1-transitional.dtd.xml xslt-1.0.dtd.xml testcases.xml language.dtd.xml
  kpartgui.dtd.xml kcfg.dtd.xml
  DESTINATION ${DATA_INSTALL_DIR}/katexmltools
)

install( FILES katexmltools.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kicker-applets/kolourpicker/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kolourpicker_panelapplet (kpart) ##########

tde_add_kpart( kolourpicker_panelapplet AUTOMOC
  SOURCES kolourpicker.cpp simplebutton.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kolourpicker.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

=== konq-plugins/adblock/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libadblock (kpart) ########################

tde_add_kpart( libadblock AUTOMOC
  SOURCES adblock.cpp adblockdialogue.cpp
  LINK tdehtml-shared konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES plugin_adblock.rc plugin_adblock.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

=== konq-plugins/akregator/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libakregatorkonqplugin (kpart) ############

tde_add_kpart( libakregatorkonqplugin AUTOMOC
  SOURCES akregatorplugin.cpp pluginbase.cpp
  LINK tdehtml-shared konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libakregatorkonqfeedicon (kpart) ##########

tde_add_kpart( libakregatorkonqfeedicon AUTOMOC
  SOURCES konqfeedicon.cpp feeddetector.cpp pluginbase.cpp
  LINK tdehtml-shared konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES akregator_konqfeedicon.desktop akregator_konqfeedicon.rc
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES rss.png
  DESTINATION ${DATA_INSTALL_DIR}/akregator/pics
)

install( FILES akregator_konqplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== konq-plugins/uachanger/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
)


##### libuachangerplugin (kpart) ################

tde_add_kpart( libuachangerplugin AUTOMOC
  SOURCES uachangerplugin.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES uachangerplugin.rc uachangerplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES uachangerplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
)

=== noatun-plugins/ffrs/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatun_ffrs (kpart) ##########

tde_add_kpart( noatun_ffrs AUTOMOC
  SOURCES ffrs.cpp
  LINK tdeio-shared noatun m
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ffrs.plugin
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)

=== noatun-plugins/pitchablespeed/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatunpitchablespeed (kpart) ##########

tde_add_kpart( noatunpitchablespeed AUTOMOC
  SOURCES pitchablespeed.cpp speedtuner.ui
  LINK artskde-shared tdeio-shared artsmoduleseffects noatun noatunarts m
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES pitchablespeed.plugin
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)

=== noatun-plugins/wavecapture/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde/arts
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatunwavecapture (kpart) ##########

tde_add_kpart( noatunwavecapture AUTOMOC
  SOURCES wavecapture.cpp
  LINK artskde-shared tdeio-shared artsmoduleseffects noatun noatunarts m
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES wavecapture.plugin
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)

=== tdefile-plugins/mhtml/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdefile_mhtml (kpart) #####################

tde_add_kpart( tdefile_mhtml AUTOMOC
  SOURCES tdefile_mhtml.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES tdefile_mhtml.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kaddressbook-plugins/xxports/kworldclock/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libkaddrbk_geo_xxport (kpart) #############

tde_add_kpart( libkaddrbk_geo_xxport AUTOMOC
  SOURCES geo_xxport.cpp
  LINK tdeui-shared kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES geo_xxportui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook
)

install( FILES geo_xxport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kaddressbook
)

=== debian/changelog ===
tdeaddons-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdeaddons-trinity
@@ -152,7 +152,7 @@
 Section: tde
 Replaces: knewsticker-scripts-kde3 (<< 4:14.0.0~), knewsticker-scripts-trinity (<< 4:14.0.0~)
 Breaks: knewsticker-scripts-kde3 (<< 4:14.0.0~), knewsticker-scripts-trinity (<< 4:14.0.0~)
-Depends: ${perl:Depends}, python, libfinance-quote-perl, libmime-tools-perl, libnews-nntpclient-perl, libwww-perl
+Depends: ${perl:Depends}, python-all, libfinance-quote-perl, libmime-tools-perl, libnews-nntpclient-perl, libwww-perl
 Recommends: knewsticker-trinity
 Enhances: knewsticker-trinity
 Description: scripts for KNewsTicker, the Trinity news ticker
@@ -171,7 +171,7 @@
 Section: tde
 Replaces: konq-plugins-kde3 (<< 4:14.0.0~), konq-plugins-trinity (<< 4:14.0.0~)
 Breaks: konq-plugins-kde3 (<< 4:14.0.0~), konq-plugins-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, libjpeg-turbo-progs | libjpeg-progs, python, rsync, unison
+Depends: ${shlibs:Depends}, libjpeg-turbo-progs | libjpeg-progs, python-all, rsync, unison
 Recommends: akregator-trinity, ark-trinity, imagemagick
 Suggests: khelpcenter-trinity, tdeaddons-trinity-doc-html
 Enhances: konqueror-trinity, akregator-trinity

## tdeaddons-trinity 14.0.9

=== debian/changelog ===
tdeaddons-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:53:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, intltool, gawk, tdelibs14-trinity-dev, atlantik-trinity-dev, tdebase-trinity-dev, tdemultimedia-trinity-dev, libtdegames-trinity-dev, libkonq4-trinity-dev, tdepim-trinity-dev, libsdl1.2-dev (>= 1.2.2-3.3), libssl-dev (>= 0.9.6), libdb4.8++-dev | libdb++-dev, libogg-dev
 Standards-Version: 3.8.4
 
 Package: tdeaddons-trinity
@@ -228,3 +228,4 @@
  video media player for TDE.  These plugins can be loaded through the plugin
  manager in Noatun settings.
  .
+ Highlights include an alarm clock, guessing tags from filenames, adjustable

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,8 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/debian-qt-kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
